Bug 19906 - PHP 3.0.17-1.6.2 crashes apache reproducable
PHP 3.0.17-1.6.2 crashes apache reproducable
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: php (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Dale Lovelace
:
: 22455 23661 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-10-27 08:41 EDT by Ralf Ertzinger
Modified: 2007-04-18 12:29 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-20 17:50:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ralf Ertzinger 2000-10-27 08:41:53 EDT
The installation machine is a Dual-PPro-200, 1G RAM, RedHat 6.2 Installation, Kernel 2.2.14-5.0 SMP, all security updates applied (apart from 
the kernel).

apache is apache-1.3.14-2.6.2
PHP3 is php-3.0.17-1.6.2

Take this PHP-Script (posttest.php3):
-----------------
<html>
<head>
        <title>PHP Post test</title>
</head>

<body>
<?
echo "submit:$testen:<br>\n";
if($testen=="jetzt"){
        echo "$tester<br>\n";
        }
?>

<form method="post" action="posttest.php3" enctype="multipart/form-data">
<input type="text" size="10" name="tester" value='<? echo $tester; ?>'>
<input type="submit" value="jetzt" name="testen">
</form>

</body>
</html>

--------------------
Pressing the submit-button causes apache to segfault. This happens (as far as my investigations went) only, if
the <form>-Tag contains an enctype-parameter with "multipart/form-data". All other tested enctypes work fine
and as expected.
Comment 1 Pekka Savola 2000-10-28 11:02:37 EDT
There are other issues with PHP 3.0.17 too.  For example, the front page of IMP (www.horde.org) 
makes apache segfault.

Supposedly PHP 3.0.18 is going out soonish, and should fix at least some of the problems.
Comment 2 paluch 2000-11-21 09:22:46 EST
I must confirm this bug. According to this posting:
http://www.phpbuilder.com/mail/php-general/2000102/0271.php
there is fixed cvs version...
Comment 3 Nalin Dahyabhai 2000-12-20 12:14:17 EST
We're prepping a 3.0.18 bug-fix for this.
Comment 4 Nalin Dahyabhai 2001-01-11 15:48:09 EST
*** Bug 23661 has been marked as a duplicate of this bug. ***
Comment 5 Nalin Dahyabhai 2001-01-11 15:49:31 EST
*** Bug 22455 has been marked as a duplicate of this bug. ***
Comment 6 Bishop Clark 2001-01-20 02:27:44 EST
Any, uh, action on that?  I don't see anything in the last month or so.  Got an update?

Comment 7 Nalin Dahyabhai 2001-01-20 17:50:54 EST
Still prepping.  A bug in how 4.0.4 parses multipart form data is also present
in 3.0.18.

Note You need to log in before you can comment on or make changes to this bug.